Description

QGIS needs the option to set vector layer or features as a mask for other layers of the users´choice. 

This mask should crop all other features of the user-specified layers to the specified extent (hide everything 

that falls outside of the mask) without having to use geoprocessing tools. I know there is a mask plugin, but that 

does not actually crop the geometry of other layers nor does it allow to exclude layers from being masked.

It would be great to have that option within the layeer options or even the projects settings

History

#1 - 2017-03-21 02:35 PM - Donovan Cameron

I think with the feature request I submitted only for labels, that this is similar and could be accomplished with this ticket.

#15864

#2 - 2017-05-01 12:46 AM - Giovanni Manghi

- Easy fix? set to No

#3 - 2017-05-19 02:13 PM - Regis Haubourg

- Category set to Map Canvas

- Description updated

Ger CO wrote:

QGIS needs the option to set vector layer or features as a mask for other layers of the users´choice. 

This mask should crop all other features of the user-specified layers to the specified extent (hide everything 

that falls outside of the mask) without having to use geoprocessing tools. I know there is a mask plugin, but that 

does not actually crop the geometry of other layers nor does it allow to exclude layers from being masked.

In, fact, mask plugin let you to play with the layer order or  blending modes to allow some layers to be shown above the mask.. I don't totally agree that a

good mask feature needs to crop the layers. Having the ability to use transparency and blending modes is good because you can finely tune if the masked

areas must be seen or not, or be slightly transparent, greyed out, faded out.. Mapping is also about geographic context, so I would let this ability to crop OR

just fade out.

#4 - 2017-05-19 03:51 PM - Ger CO

Regis Haubourg wrote:
Ger CO wrote:

QGIS needs the option to set vector layer or features as a mask for other layers of the users´choice. 

This mask should crop all other features of the user-specified layers to the specified extent (hide everything 

that falls outside of the mask) without having to use geoprocessing tools. I know there is a mask plugin, but that 

does not actually crop the geometry of other layers nor does it allow to exclude layers from being masked.

In, fact, mask plugin let you to play with the layer order or  blending modes to allow some layers to be shown above the mask.. I don't totally agree

that a good mask feature needs to crop the layers. Having the ability to use transparency and blending modes is good because you can finely tune if

the masked areas must be seen or not, or be slightly transparent, greyed out, faded out.. Mapping is also about geographic context, so I would let

this ability to crop OR just fade out.

Thanks a lot for your answer. I miss the functionality provided by other GIS packages where the user can specify which layers are affected by a mask and

which are not. That does not contradict with the ability of blending and transparency levels.
